# Transforming Content

## Moving, Scaling, and Rotating 3D Content

### Using Metadata

You can use metadata to **persistently** transform 3D content.

If the content is too big or too small or if you'd like to move or rotate it, go back to the console and [add metadata](/web-console/manage-pages/data-page/how-to-add-data.md#adding-metadata) to affect its transformation. After adding or changing metadata you can instantly see the changes in the browser even **while the experience is running**.

The following keys are words the system uses as pre-defined metadata keys to control transformations:

<table data-header-hidden><thead><tr><th width="150">Keyword</th><th width="150">Type</th><th>Options</th><th>Effect</th></tr></thead><tbody><tr><td>Keyword</td><td>Type</td><td>Options</td><td>Effect</td></tr><tr><td>x</td><td>float</td><td><p>Any positive or negative number.</p><p>Default value is 0.</p></td><td>Moves the asset on the x-axis</td></tr><tr><td>y</td><td>float</td><td><p>Any positive or negative number.</p><p>Default value is 0.</p></td><td>Moves the asset on the y-axis</td></tr><tr><td>z</td><td>float</td><td><p>Any positive or negative number.</p><p>Default value is 0.</p></td><td>Moves the asset on the z-axis</td></tr><tr><td>scale</td><td>float</td><td><p>Any positive number.</p><p>Default value is 1.</p></td><td>Grows or shrinks the asset uniformly</td></tr><tr><td>height</td><td>integer</td><td>Any positive number.</td><td>Set the height of an image asset or a video asset</td></tr><tr><td>width</td><td>integer</td><td>Any positive number.</td><td>Set the width of an image asset or a video asset</td></tr><tr><td>xAngle</td><td>float</td><td><p>Any positive or negative number.</p><p>Default value is 0.</p></td><td>Rotates the model on the x-axis</td></tr><tr><td>yAngle</td><td>float</td><td><p>Any positive or negative number.</p><p>Default value is 0.</p></td><td>Rotates the model on the y-axis</td></tr><tr><td>zAngle</td><td>float</td><td><p>Any positive or negative number.</p><p>Default value is 0.</p></td><td>Rotates the model on the z-axis</td></tr></tbody></table>

{% hint style="info" %}
Remember to refresh the browser after adding metadata with FaceAR experiences for the changes to take effect.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.echo3d.com/facear/transforming-content.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
